description

# AssertionError class Null safety

Error thrown by the runtime system when an assert statement fails.

Inheritance
  - Object
  - Error
  - AssertionError

## Constructors

AssertionError([Object? message])

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
message → Object?
  Message describing the assertion error.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace?
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited